﻿using Hotline.Share.Requests;

namespace Hotline.Share.Dtos.ContingencyManagement
{
    public record ContingencyManagementPagedKeywordRequest : PagedKeywordRequest
    {
        /// <summary>
        /// 标题
        /// </summary>
        public string Title { get; set; }

        /// <summary>
        /// 工单编码（20220101000001）
        /// </summary>
        public string? No { get; set; }

        /// <summary>
        /// 热点
        /// </summary>
        public string? HotspotSpliceName { get; set; }

        /// <summary>
        /// 受理类型
        /// </summary>
        public string? AcceptType { get; set; }

        /// <summary>
        /// 来源渠道（电话、网站、APP等）
        /// </summary>
        public string? SourceChannel { get; set; }

        /// <summary>
        /// 办结时间开始
        /// </summary>
        public DateTime? FiledStartTime { get; set; }

        /// <summary>
        /// 办结时间结束
        /// </summary>
        public DateTime? FiledEndTime { get; set; }
    }
}
